> ## Documentation Index
> Fetch the complete documentation index at: https://interfere.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a single source map for a release



## OpenAPI

````yaml https://api.interfere.com/openapi.json put /v3/releases/{releaseSlug}/source-maps/upload
openapi: 3.0.0
info:
  title: Interfere API
  termsOfService: https://interfere.com/legal/terms-of-service
  contact:
    email: support@interfere.com
    name: Interfere Support
    url: https://interfere.com/~/*/settings/support
  license:
    name: All Rights Reserved
  description: >-
    Interfere empowers engineers, product managers and designers with real-time
    understanding of previously unseen bugs and issues.
  version: 3.0.0
servers:
  - url: https://api.interfere.com
    description: This environment
security: []
tags:
  - name: Drain
    description: Drain API
  - name: Releases
    description: Build-time release API
  - name: Replay
    description: Session replay chunk ingest API
  - name: Sessions
    description: Session and end-user identity API
  - name: Updates
    description: Desktop app update API
  - name: Traces
    description: Trace waterfall read API
externalDocs:
  url: https://interfere.com/docs
  description: Interfere Documentation
paths:
  /v3/releases/{releaseSlug}/source-maps/upload:
    put:
      tags:
        - Releases
      summary: Upload a single source map for a release
      operationId: uploadSourceMap
      parameters:
        - schema:
            type: string
            pattern: ^rel_.*$
          required: true
          name: releaseSlug
          in: path
        - schema:
            type: string
            minLength: 1
            description: >-
              Build-relative path of the source map, as declared to the sign
              call
            example: static/chunks/4f2a.js.map
          required: true
          description: Build-relative path of the source map, as declared to the sign call
          name: path
          in: query
      requestBody:
        required: true
        content:
          application/json:
            schema:
              nullable: true
              description: Raw source-map JSON
      responses:
        '200':
          description: Source map stored
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadSourceMapResponse'
        '401':
          description: Missing or invalid secret key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyAuthProblem'
        '403':
          description: Secret key lacks the `release:write` scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyScopeProblem'
        '422':
          description: The source map exceeds the per-file size limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadSourceMapProblem'
        '503':
          description: >-
            A dependency failed while recording the release; retry with backoff
            after the Retry-After delay
          headers:
            Retry-After:
              schema:
                type: string
                description: Seconds to wait before retrying
              required: true
              description: Seconds to wait before retrying
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReleaseUnavailableProblem'
      security:
        - apiKey: []
        - apiKeyHeader: []
components:
  schemas:
    UploadSourceMapResponse:
      type: object
      properties:
        objectKey:
          type: string
      required:
        - objectKey
    ApiKeyAuthProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - AUTH_MISSING
            - AUTH_AK_INVALID
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    ApiKeyScopeProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - AUTH_AK_SCOPE_MISMATCH
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    UploadSourceMapProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - RELEASE_SIGN_FILE_TOO_LARGE
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    ReleaseUnavailableProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - INGEST_INFRA_UNAVAILABLE
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Build-time secret key of the surface, as issued in the Interfere
        dashboard
    apiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Build-time secret key of the surface, unwrapped; for clients that cannot
        set an Authorization header

````